<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
 <head>
  <title>MM-94: West Palm Beach Service Plaza</title>
  <meta name="Generator" content="EditPlus">
  <meta name="Author" content="">
  <meta name="Keywords" content="">
  <meta name="Description" content="">
 </head>
 <body><prev>
<font color = "FFFFFF">
<B><center>MM-94: West Palm Beach Service Plaza</center></B>
<br>
West Palm Beach Service Plaza at Mile Marker 94 - This plaza is located near Lake Worth, Florida and services the northbound and southbound travel lanes.<br>
<br>
<B>Contact Info:</B><br>
<I>
Service Station: 561-968-8558<br>
Food Court: 561-952-1071<br>
</I>
<br>

<B>Gas station & Convenience Store: </B><br>
<I>Shell Gasoline<br></I>
<br>

<B>Fuel Types:</B><br>
<I>
Gasoline<br>
Deisel<br>
E 85<br>
</I>
<br>

<b>Coffee/Food/Restaurant/Snack:</b><br>
<I>
Nathan's<br>
Totally Bananas<br>
</I>
</font>
</prev></body>
</html>
